Index Page frinfo_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void frinfo_c ( SpiceInt       frcode,
                       SpiceInt      *cent,
                       SpiceInt      *frclss,
                       SpiceInt      *clssid,
                       SpiceBoolean  *found   )

#### Abstract

       Retrieve the minimal attributes associated with a frame
       needed for converting transformations to and from it.

#### Required_Reading

       None.

#### Keywords

       FRAMES

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       frcode     I   the idcode for some frame
       cent       O   the center of the frame
       frclss     O   the class (type) of the frame
       clssid     O   the idcode for the frame within its class.
       found      O   SPICETRUE if the requested information is available.

#### Detailed_Input

       frcode      is the ID code for some reference frame.

#### Detailed_Output

       cent        is the body ID code for the center of the reference
                   frame (if such an ID code is appropriate).

       frclss      is the class or type of the frame.  This identifies
                   which subsystem will be used to perform frame
                   transformations.

       clssid      is the ID-code used for the frame within its class.
                   This may be different from the frame ID-code.

       found       is SPICETRUE if cent, frclss and frcode are available.
                   Otherwise, found is returned with the value SPICEFALSE.

#### Parameters

       None.

#### Exceptions

       None.

#### Files

       None.

#### Particulars

       This is a low level routine needed by state transformation
       software to transform states and attitudes between different
       reference frames.

       The routine first examines local "hard-coded" information about
       reference frames to see if the requested frame belongs to this
       set.  If it does that information is returned.

       If the requested information is not stored locally, the routine
       then examines the kernel pool to see if the requested information
       is stored there.  If it is and has the expected format, the data
       is retrieved and returned.

#### Examples

       Suppose that you needed to determine the center of some
       reference frame.  The following code fragment illustrates
       how to use this routine to determine this information.

          frinfo_c ( frcode, &cent, &frclss, &clssid, &found );

          if ( found )
          {
             printf ( "The center of reference frame %\n"
                      "has body ID code: %d\n",
                      frcode,
                      cent                               );
          }
          else
          {
             printf ( "There is insufficient data for frame %s\n", frcode );
          }

#### Restrictions

       None.

#### Literature_References

        None.

#### Author_and_Institution

        N.J. Bachman    (JPL)
        W.L. Taber      (JPL)

#### Version

        -CSPICE Version 1.2.0, 22-JUL-1999 (NJB)

            Now uses logical local variable for found flag.

        -CSPICE Version 1.1.0, 16-MAY-1999 (NJB)

            Changed name of argument "class" to frclss for C++
            compatibility.

        -CSPICE Version 1.0.0, 21-JUN-1998 (NJB) (WLT)

            Based on SPICELIB Version 3.0.0, 03-JUN-1997 (WLT)

#### Index_Entries

          Fetch reference frame attributes

#### Link to routine frinfo_c source file frinfo_c.c

    Wed Apr  5 17:54:35 2017